# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.calendar
Class CalendarEventEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<E>
                  com.google.gdata.data.extensions.BaseEventEntry<CalendarEventEntry>
                      com.google.gdata.data.calendar.CalendarEventEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class CalendarEventEntry

extends BaseEventEntry<CalendarEventEntry>

This extends the EventEntry class for event entries in Google Calendars,

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.extensions.BaseEventEntry
`BaseEventEntry.EventStatus, BaseEventEntry.Transparency, BaseEventEntry.Visibility`

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`CalendarEventEntry()` Constructs a new `CalendarEventEntry` instance .

Method Summary
`void` `addExtendedProperty(ExtendedProperty prop)` Add a new extended property (gd:extendedProperty)
`void` `addParticipant(EventWho participant)` Adds a new event participant.
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`java.util.List<ExtendedProperty>` `getExtendedProperty()` Returns extended properties (gd:extendedProperty)
`java.lang.String` `getIcalUID()` Returns the Ical UID(RFC 2445) of the event if it exists otherwise returns null.
`java.util.List<EventWho>` `getParticipants()` Returns the list of event participants.
`boolean` `getQuickAdd()` if gd:content contains quickadd info
`boolean` `getSendEventNotifications()` Whether to send event notifications or not.
`int` `getSequence()` Returns the sequence number of the event or 0 if not set.
`WebContent` `getWebContent()` Get the web content for this entry (may return null).
`Link` `getWebContentLink()` Retrieves the web content link
`boolean` `hasAnyoneCanAddSelf()`
`boolean` `hasGuestsCanInviteOthers()`
`boolean` `hasGuestsCanModify()`
`boolean` `hasGuestsCanSeeGuests()`
`boolean` `hasSequence()` Returns whether a sequence number is present.
`boolean` `isAnyoneCanAddSelf()`
`boolean` `isGuestsCanInviteOthers()`
`boolean` `isGuestsCanModify()`
`boolean` `isGuestsCanSeeGuests()`
`boolean` `isPrivateCopy()` Whether this is a private copy of the event.
`boolean` `isSyncEvent()` If the event needs to be synced i.e., the Ical UID and Sequence number need to be honored.
`void` `setAnyoneCanAddSelf(boolean anyoneCanAddSelf)`
`void` `setGuestsCanInviteOthers(boolean guestsCanInviteOthers)`
`void` `setGuestsCanModify(boolean guestsCanModify)`
`void` `setGuestsCanSeeGuests(boolean guestsCanSeeGuests)`
`void` `setIcalUID(java.lang.String uid)` Sets the Ical UID(RFC 2445) of the event.
`void` `setPrivateCopy(boolean privateCopy)` Set whether this is a private copy of the event.
`void` `setQuickAdd(boolean quickAdd)` set whether gd:content is quickadd info This will only effects Insert semantics.
`void` `setSendEventNotifications(boolean send)` Sets whether event notifications are to be sent to the other participants or not.
`void` `setSequence(int sequence)` Sets the sequence number of the event.
`void` `setSyncEvent(boolean syncEvent)` Set whether the event needs to be synced i.e., the Ical UID and Sequence number need to be honored.
`void` `setWebContent(WebContent wc)` Set the web content for this entry

Methods inherited from class com.google.gdata.data.extensions.BaseEventEntry
`addLocation, addRecurrenceException, addTime, getLocations, getOriginalEvent, getRecurrence, getRecurrenceException, getReminder, getStatus, getTimes, getTransparency, getVisibility, setOriginalEvent, setRecurrence, setStatus, setTransparency, setVisibility`

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CalendarEventEntry

    public CalendarEventEntry()

  Constructs a new `CalendarEventEntry` instance .

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `BaseEventEntry<CalendarEventEntry>`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getParticipants

    public java.util.List<EventWho> getParticipants()

  Returns the list of event participants.

### addParticipant

    public void addParticipant(EventWho participant)

  Adds a new event participant.

### getExtendedProperty

    public java.util.List<ExtendedProperty> getExtendedProperty()

  Returns extended properties (gd:extendedProperty)

### addExtendedProperty

    public void addExtendedProperty(ExtendedProperty prop)

  Add a new extended property (gd:extendedProperty)

### getQuickAdd

    public boolean getQuickAdd()

  if gd:content contains quickadd info

### setQuickAdd

    public void setQuickAdd(boolean quickAdd)

  set whether gd:content is quickadd info This will only effects Insert semantics. QuickAddProperty should never appear in GData query result Not all GData services that expose EventEntry data format may support quickadd

  Parameters:
    `quickAdd` -

### isSyncEvent

    public boolean isSyncEvent()

  If the event needs to be synced i.e., the Ical UID and Sequence number need to be honored.

### setSyncEvent

    public void setSyncEvent(boolean syncEvent)

  Set whether the event needs to be synced i.e., the Ical UID and Sequence number need to be honored.

### isPrivateCopy

    public boolean isPrivateCopy()

  Whether this is a private copy of the event.

### setPrivateCopy

    public void setPrivateCopy(boolean privateCopy)

  Set whether this is a private copy of the event.

### getSendEventNotifications

    public boolean getSendEventNotifications()

  Whether to send event notifications or not. Default is to not send notifications to the other participants.

### setSendEventNotifications

    public void setSendEventNotifications(boolean send)

  Sets whether event notifications are to be sent to the other participants or not.

### getIcalUID

    public java.lang.String getIcalUID()

  Returns the Ical UID(RFC 2445) of the event if it exists otherwise returns null.

### setIcalUID

    public void setIcalUID(java.lang.String uid)

  Sets the Ical UID(RFC 2445) of the event. Note: Setting uid to null deletes the value.

### hasSequence

    public boolean hasSequence()

  Returns whether a sequence number is present.

### getSequence

    public int getSequence()

  Returns the sequence number of the event or 0 if not set.

### setSequence

    public void setSequence(int sequence)

  Sets the sequence number of the event.

### getWebContentLink

    public Link getWebContentLink()

  Retrieves the web content link

### getWebContent

    public WebContent getWebContent()

  Get the web content for this entry (may return null). Changes made to the WebContent object returned by this method will be reflected in this CalendarEventEntry.

### setWebContent

    public void setWebContent(WebContent wc)

  Set the web content for this entry

### setGuestsCanModify

    public void setGuestsCanModify(boolean guestsCanModify)

### isGuestsCanModify

    public boolean isGuestsCanModify()

### hasGuestsCanModify

    public boolean hasGuestsCanModify()

### setGuestsCanInviteOthers

    public void setGuestsCanInviteOthers(boolean guestsCanInviteOthers)

### isGuestsCanInviteOthers

    public boolean isGuestsCanInviteOthers()

### hasGuestsCanInviteOthers

    public boolean hasGuestsCanInviteOthers()

### setGuestsCanSeeGuests

    public void setGuestsCanSeeGuests(boolean guestsCanSeeGuests)

### isGuestsCanSeeGuests

    public boolean isGuestsCanSeeGuests()

### hasGuestsCanSeeGuests

    public boolean hasGuestsCanSeeGuests()

### setAnyoneCanAddSelf

    public void setAnyoneCanAddSelf(boolean anyoneCanAddSelf)

### isAnyoneCanAddSelf

    public boolean isAnyoneCanAddSelf()

### hasAnyoneCanAddSelf

    public boolean hasAnyoneCanAddSelf()